//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <sstream>
#include <bitset>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main (int argc, char* argv[])
{
  ostringstream os;

  //    
  os << ToRus(": ") << 15 << hex << ToRus("   : ") << 15 << endl;
  cout << os.str() << endl;

  //      
  bitset<15> b(5789);
  os << ToRus(": ") << 4.67 << ToRus("  : ") << b << endl;
  //   
  os.seekp(0);
  os << ToRus(": ") << oct << 15;
  cout << os.str() << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------
